Package com.tibco.patterns.learn.rlink

## Enum RLink.ThermometerType

- java.lang.Object
- - java.lang.Enum<RLink.ThermometerType>
  - - com.tibco.patterns.learn.rlink.RLink.ThermometerType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RLink.ThermometerType>`
  Enclosing class:
    RLink

      public static enum RLink.ThermometerType
      extends java.lang.Enum<RLink.ThermometerType>

  Type of thermometers used in RLink model. Always use SMALL. Using LARGE may produce models that do not stabilize while training.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ARRAY` | Array-based thermometer (default).
    `LARGE` | Large thermometer - faster learning, slower predictions.
    `SMALL` | Small thermometer - slower learning, faster predictions.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RLink.ThermometerType` | `fromInt​(int v)` | Converts the given integer constant to the enum.
    `int` | `getValue()` |
    `static RLink.ThermometerType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RLink.ThermometerType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SMALL

          public static final RLink.ThermometerType SMALL

      Small thermometer - slower learning, faster predictions. Uses accumulated learning. Does not store confidence statistics. No longer supported for newly created RLink models. Supported only for old models loaded from file.

    - #### LARGE

          public static final RLink.ThermometerType LARGE

      Large thermometer - faster learning, slower predictions. Do not use.

    - #### ARRAY

          public static final RLink.ThermometerType ARRAY

      Array-based thermometer (default). Used with learning rate annealing. Stores confidence statistics.

  - ### Method Detail

    - #### values

          public static RLink.ThermometerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RLink.ThermometerType c : RLink.ThermometerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RLink.ThermometerType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns:
        the constant for the thermometer type to be used in RLink JNI library.

    - #### fromInt

          public static RLink.ThermometerType fromInt​(int v)

      Converts the given integer constant to the enum.
      Throws:
        `java.lang.IllegalArgumentException` - if the given constant is invalid.